Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	aRts (analog realtime synthesizer) - the KDE sound system
Name:      	arts
Version:   	1.5.10
Release:   	1
License: 	GNU/GPL
URL:		http://kde.org
Group:     	Graphical Desktop/KDE
Source0: 	arts-%{version}.tar.bz2
Patch1: 	arts-1.5.3-mcop-msgkill.patch
Patch2: 	arts-1.5.4-artsdsp-args.patch
Patch3: 	arts-1.5.0-check_tmp_dir.patch
Patch5: 	arts-1.3.1-alsa.patch
Patch8: 	arts-1.5.2-multilib.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	bash
BuildRequires:  libX11-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  glibc-devel
BuildRequires:  esound-devel
BuildRequires:  glib-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libmad-devel
BuildRequires:  qt-devel >= 3.3.8b
BuildRequires:  libstdc++-devel
BuildRequires:  libvorbis-devel


%description
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.

%package devel
Summary: 	arts development headers.
Group:     	Graphical Desktop/KDE
Requires: 	arts = %{version}-%{release} esound-devel glib-devel libvorbis-devel
Requires:	audiofile-devel alsa-lib-devel esound-devel libvorbis-devel

%description devel
Header and include files for developing applications with arts.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n arts-%{version}
%patch1 -p1 -b .msgkill
#%patch2 -p1 -b .artsdsp-args
%patch3 -p1 -b .tmpdir
%patch5 -p1
%patch8 -p1

%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking \
  --enable-new-ldflags \
  --with-alsa \
  --enable-final

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

export PATH=`pwd`:$PATH
make install DESTDIR=%{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%dir %{_libdir}/mcop
%dir %{_libdir}/mcop/Arts
%{_libdir}/mcop/Arts/*
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_bindir}/artscat
%{_bindir}/artsd
%{_bindir}/artsdsp
%{_bindir}/artsplay
%{_bindir}/artsrec
%{_bindir}/artsshell
%{_bindir}/artswrapper

%files devel
%defattr(-,root,root,-)
%{_bindir}/mcopidl
%dir %{_includedir}/kde
%{_includedir}/kde/arts/
%{_includedir}/kde/artsc/
%{_bindir}/artsc-config
%{_libdir}/pkgconfig/artsc.pc
%{_libdir}/lib*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5.10-1
- Version update
* Wed Jul 30 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.9-3
- rebuild against qt 3.3.8b
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.9-2
- moved prefix to /usr
* Sun Feb 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5.9-1
- Version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.8-1
- Version update
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.7-1
- Version update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.6-1
- Version update
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.5-1
- Version update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.4-1
- Version update
* Sun Apr 16 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.2-1
- Version update
* Fri Feb 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.1-1
- Version update
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0-4
- rebuild, modified files list
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.0-3
- added some patches, rebuild against newest libogg
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-2
- patched  RH#176241 bug
* Wed Nov 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.0-1
- Version update, removed patch ( now upstream )
* Tue Oct 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.3-1
- Version update
* Sat Jul 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- Version update
* Fri Jul 15 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-5
- Removed jack-audio dependency
* Fri Jul 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.4.1-4
- add patch for solving cpu overloading problem
* Thu Jul 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-3
- Removed jack-audio dependency
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.1-2
- rebuilt against libstdc++ / gcc 3.4.4
* Wed Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-1
- Version Update to 1.4.1
* Fri Mar 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version Update to 1.4.0
* Sat Feb 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.2-2
- Recompilation again QT 3.3.4
* Thu Dec 09 2004 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Initial Release
